From: Tim Waugh <twaugh@fedoraproject.org>
Date: Fri, 31 Jan 2020 12:14:24 +0100
Subject: Fix strstr const

Origin: https://src.fedoraproject.org/rpms/hplip/blob/master/f/hplip-strstr-const.patch
---
 prnt/hpijs/dj3320.cpp   |  2 +-
 prnt/hpijs/registry.cpp | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/prnt/hpijs/dj3320.cpp b/prnt/hpijs/dj3320.cpp
index 496be98..40e4f0c 100644
--- a/prnt/hpijs/dj3320.cpp
+++ b/prnt/hpijs/dj3320.cpp
@@ -405,7 +405,7 @@ DISPLAY_STATUS DJ3320::ParseError (BYTE byStatusReg)
 {
     DRIVER_ERROR err = NO_ERROR;
     BYTE byDevIDBuffer[DevIDBuffSize];
-    char *pcStr = NULL;
+    const char *pcStr = NULL;
     BYTE byStatus1, byStatus2;
 
     memset(byDevIDBuffer, 0, sizeof(byDevIDBuffer));
diff --git a/prnt/hpijs/registry.cpp b/prnt/hpijs/registry.cpp
index ce587c3..853418d 100644
--- a/prnt/hpijs/registry.cpp
+++ b/prnt/hpijs/registry.cpp
@@ -290,14 +290,14 @@ DRIVER_ERROR DeviceRegistry::SelectDevice(char* model, int *pVIPVersion, char* p
         err = pSS->GetDeviceID(DevIDBuffer, DevIDBuffSize, FALSE);
         ERRCHECK;   // should be either NO_ERROR or BAD_DEVICE_ID
 
-		char	*cmdStr = (char *) strstr ((const char *) DevIDBuffer+2, "CMD:");
+		char	*cmdStr = strstr ((char *) DevIDBuffer+2, "CMD:");
         char    *cmdStrEnd;
         if ((strstr((const char *) DevIDBuffer+2,"CMD:LDL")))
         {
             device = eDJ3320;
             match = TRUE;
         }
-        if (!match && cmdStr && (cmdStrEnd = (char *) strstr (cmdStr, ";")))
+        if (!match && cmdStr && (cmdStrEnd = strstr (cmdStr, ";")))
         {
             *cmdStrEnd = '\0';
             if (strstr (cmdStr, "LDL"))
@@ -309,12 +309,12 @@ DRIVER_ERROR DeviceRegistry::SelectDevice(char* model, int *pVIPVersion, char* p
         }
 		if (!match && !cmdStr)
 		{
-			cmdStr = (char *) strstr ((const char *) DevIDBuffer+2, "COMMAND SET:");
+			cmdStr = strstr ((char *) DevIDBuffer+2, "COMMAND SET:");
 		}
-		if (!match && cmdStr && (strstr ((const char *) cmdStr+4, "POSTSCRIPT") || 
-			                     strstr ((const char *) cmdStr+4, "PostScript") || 
-					             strstr ((const char *) cmdStr+4, "Postscript") || 
-					             strstr ((const char *) cmdStr+4, "postscript") ))
+		if (!match && cmdStr && (strstr (cmdStr+4, "POSTSCRIPT") ||
+			                     strstr (cmdStr+4, "PostScript") ||
+					             strstr (cmdStr+4, "Postscript") ||
+					             strstr (cmdStr+4, "postscript") ))
 		{
 			device = ePScript;
 			match = TRUE;
